@Echo Off



Rem #########################################################################



Rem

Rem Get the installation location of ClearCase 4.0 from the registry.  If

Rem not found, assume ClearCase isn't installed and display an error message.

Rem



..\ACRegL %Temp%\CC40.Cmd ATRIAHOME "HKLM\Software\Atria\ClearCase\CurrentVersion" "ProductHome" ""

If Not ErrorLevel 1 Goto Cont0

Echo.

Echo Unable to retrieve ClearCase 4.0 installation location from the registry.

Echo Verify that ClearCase 4.0 has already been installed and run this script

Echo again.

Echo.

Pause

Goto Done



:Cont0

Call %Temp%\CC40.Cmd

Del %Temp%\CC40.Cmd >Nul: 2>&1



Rem #########################################################################



Rem

Rem Update CC40Usr.Cmd to reflect actual installation directory and

Rem add it to the UsrLogn1.Cmd script

Rem



..\acsr "#ATRIAHOME#" "%ATRIAHOME%" ..\Logon\Template\CC40Usr.Cmd ..\Logon\CC40Usr.Cmd



FindStr /I CC40Usr %SystemRoot%\System32\UsrLogn1.Cmd >Nul: 2>&1

If Not ErrorLevel 1 Goto Skip1

Echo Call CC40Usr.Cmd >> %SystemRoot%\System32\UsrLogn1.Cmd

:Skip1



Echo.

Echo   To insure proper operation of Rational ClearCase 4.0, users who are

Echo   currently logged on must log off and log on again before

Echo   running any application.

Echo.

Echo Rational ClearCase 4.0 Multi-user Application Tuning Complete

Pause



:Done

